<message id="24" name="GPS\_RAW\_INT">
        <description>The global position, as returned by the Global Positioning System (GPS). This is NOT the global position estimate of the system, but rather a RAW sensor value. See message GLOBAL\_POSITION for the global position estimate. Coordinate frame is right-handed, Z-axis up (GPS frame).</description> \\
        <field type="uint64\_t" name="time\_usec">Timestamp (microseconds since UNIX epoch or microseconds since system boot)</field> \\
        <field type="uint8\_t" name="fix\_type">0-1: no fix, 2: 2D fix, 3: 3D fix. Some applications will not use the value of this field unless it is at least two, so always correctly fill in the fix.</field> \\
        <field type="int32\_t" name="lat">Latitude (WGS84), in degrees * 1E7</field> \\
        <field type="int32\_t" name="lon">Longitude (WGS84), in degrees * 1E7</field> \\
        <field type="int32\_t" name="alt">Altitude (WGS84), in meters * 1000 (positive for up)</field> \\
        <field type="uint16\_t" name="eph">GPS HDOP horizontal dilution of position in cm (m*100). If unknown, set to: UINT16\_MAX</field> \\
        <field type="uint16\_t" name="epv">GPS VDOP horizontal dilution of position in cm (m*100). If unknown, set to: UINT16\_MAX</field> \\
        <field type="uint16\_t" name="vel">GPS ground speed (m/s * 100). If unknown, set to: UINT16\_MAX</field> \\
        <field type="uint16\_t" name="cog">Course over ground (NOT heading, but direction of movement) in degrees * 100, 0.0..359.99 degrees. If unknown, set to: UINT16\_MAX</field> \\
        <field type="uint8\_t" name="satellites\_visible">Number of satellites visible. If unknown, set to 255</field> \\
</message>